cupsd(8)

NOME
cupsd - agendador do cups

RESUMO
cupsd [ -c cupsd.conf ] [ -f ] [ -F ] [ -h ] [ -l ] [ -s cups-files.conf ] [ -t ]

DESCRIÇÃO
cupsd é o agendador do CUPS. Implementa um sistema de impressão baseado no Internet Printing Protocol, versão 2.1, e suporta a maioria dois requerimentos para IPP Everywhere. Se não forem especificadas opções na linha de comandos então é usado o ficheiro de configuração predefinido /etc/cups/cupsd.conf.

OPÇÕES

-c cupsd.conf
    Usa o ficheiro de configuração cupsd.conf nomeado.

-f  Corre cupsd nos bastidores; a predefinição é correr nos bastidores como um "daemon".

-F  Corre cupsd na frente mas destaca o processo do terminal controlador e directório actual. Isto é útil para correr o cupsd a partir de init(8).

-h  Mostra a utilização do programa.

-l  Esta opção é passada ao cupsd quando é corrido a partir de launchd(8) ou systemd(8).

-s cups-files.conf
    Usa o ficheiro de configuração cups-files.conf nomeado.

-t  Testa o ficheiro de configuração por erros de sintaxe.

FICHEIROS
/etc/cups/classes.conf
/etc/cups/cups-files.conf
/etc/cups/cupsd.conf
/usr/share/cups/mime/mime.convs
/usr/share/cups/mime/mime.types
/etc/cups/printers.conf
/etc/cups/subscriptions.conf

DE ACORDO COM
cupsd implementa todos os atributos e operações IPP/2.1 requeridos. Também implementa várias operações administrativas específicas do CUPS.

EXEMPLOS
Correr cupsd nos bastidores com o ficheiro de configuração predefinido:

    cupsd

Correr um teste de configuração chamado test.conf:

    cupsd -t -c test.conf

Correr cupsd na frente com um teste de ficheiro de configuração chamado test.conf:

    cupsd -f -c test.conf

VEJA TAMBÉM
backend(7), classes.conf(5), cups(1), cups-files.conf(5), cups-lpd(8), cupsd.conf(5), cupsd-helper(8), cupsd-logs(8), filter(7), launchd(8), mime.convs(5), mime.types(5), printers.conf(5), systemd(8), Ajuda Online CUPS (http://localhost:631/help)

COPYRIGHT
Copyright © 2021-2023 by OpenPrinting.